PHP 5.4.36 Released

Por qué usarlas

Advertencia

Esta característica ha sido declarada OBSOLETA desde PHP 5.3.0 y ELIMINADA a partir de PHP 5.4.0.

  • Dado que se han declarado obsoletas PHP, no hay ninguna razón para usarlas. Sin embargo, todavía están ahí y ayudan a los programadores noveles a escribir un mejor código (más seguro). Sin embargo, si trabaja con código que dependa de este comportamiento, es preferible actualizar el código a tener que habilitar las comillas mágicas. ¿Entonces por qué existen? Sencillo, para ayudar a prevenir ataques de Inyección SQL. Hoy, los desarrolladores son más cuidadosos con la seguridad y acaban empleando los mecanismos de escapado específicos de cada base de datos y/o declaraciones preparadas en lugar de depender de funcionalidades como las comillas mágicas.
add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top